// this code is generated and should not be modified
package org.accordproject.trademark;

import org.hyperledger.composer.system.*;
import org.accordproject.address.PostalAddress;
import org.accordproject.geo.Country;
import org.accordproject.geo.GeoCoordinates;
import org.accordproject.person.Person;
import org.accordproject.usa.entity.EntityType;
import org.accordproject.color.Color;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class TrademarkAsset extends Concept {
   private TrademarkAssetIdentifier assetIdentifier;
   private String encodedMarkImage;
   private String markDescription;
   private GoodsAndServices[] goodsandServices;
   private Owner originalOwner;
   private EntityType entityType;
   private Registrant originalRegistrant;
   private Assignee currentAssignee;
   private Correspondent currentCorrespondent;
   private Attorney attorneyRepresentative;
   private MarkStatus markStatus;
   private MarkType markType;
   private Register register;
   private String literalElement;
   private boolean colorClaim;
   private Color[] colorFeature;
   private java.util.Date filingDate;
   private java.util.Date registrationDate;
   public TrademarkAssetIdentifier getAssetIdentifier() {
      return this.assetIdentifier;
   }
   public String getEncodedMarkImage() {
      return this.encodedMarkImage;
   }
   public String getMarkDescription() {
      return this.markDescription;
   }
   public GoodsAndServices[] getGoodsandServices() {
      return this.goodsandServices;
   }
   public Owner getOriginalOwner() {
      return this.originalOwner;
   }
   public EntityType getEntityType() {
      return this.entityType;
   }
   public Registrant getOriginalRegistrant() {
      return this.originalRegistrant;
   }
   public Assignee getCurrentAssignee() {
      return this.currentAssignee;
   }
   public Correspondent getCurrentCorrespondent() {
      return this.currentCorrespondent;
   }
   public Attorney getAttorneyRepresentative() {
      return this.attorneyRepresentative;
   }
   public MarkStatus getMarkStatus() {
      return this.markStatus;
   }
   public MarkType getMarkType() {
      return this.markType;
   }
   public Register getRegister() {
      return this.register;
   }
   public String getLiteralElement() {
      return this.literalElement;
   }
   public boolean getColorClaim() {
      return this.colorClaim;
   }
   public Color[] getColorFeature() {
      return this.colorFeature;
   }
   public java.util.Date getFilingDate() {
      return this.filingDate;
   }
   public java.util.Date getRegistrationDate() {
      return this.registrationDate;
   }
   public void setAssetIdentifier(TrademarkAssetIdentifier assetIdentifier) {
      this.assetIdentifier = assetIdentifier;
   }
   public void setEncodedMarkImage(String encodedMarkImage) {
      this.encodedMarkImage = encodedMarkImage;
   }
   public void setMarkDescription(String markDescription) {
      this.markDescription = markDescription;
   }
   public void setGoodsandServices(GoodsAndServices[] goodsandServices) {
      this.goodsandServices = goodsandServices;
   }
   public void setOriginalOwner(Owner originalOwner) {
      this.originalOwner = originalOwner;
   }
   public void setEntityType(EntityType entityType) {
      this.entityType = entityType;
   }
   public void setOriginalRegistrant(Registrant originalRegistrant) {
      this.originalRegistrant = originalRegistrant;
   }
   public void setCurrentAssignee(Assignee currentAssignee) {
      this.currentAssignee = currentAssignee;
   }
   public void setCurrentCorrespondent(Correspondent currentCorrespondent) {
      this.currentCorrespondent = currentCorrespondent;
   }
   public void setAttorneyRepresentative(Attorney attorneyRepresentative) {
      this.attorneyRepresentative = attorneyRepresentative;
   }
   public void setMarkStatus(MarkStatus markStatus) {
      this.markStatus = markStatus;
   }
   public void setMarkType(MarkType markType) {
      this.markType = markType;
   }
   public void setRegister(Register register) {
      this.register = register;
   }
   public void setLiteralElement(String literalElement) {
      this.literalElement = literalElement;
   }
   public void setColorClaim(boolean colorClaim) {
      this.colorClaim = colorClaim;
   }
   public void setColorFeature(Color[] colorFeature) {
      this.colorFeature = colorFeature;
   }
   public void setFilingDate(java.util.Date filingDate) {
      this.filingDate = filingDate;
   }
   public void setRegistrationDate(java.util.Date registrationDate) {
      this.registrationDate = registrationDate;
   }
}
